> For the complete documentation index, see [llms.txt](https://docs.ruuvi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ruuvi.com/communicate-with-ruuvi-cloud/cloud/user-api/air-firmware.md).

# Air Firmware

Ruuvi Air firmware update information

## Get Ruuvi Air firmware update information

> Returns latest, beta, alpha and historical firmware versions for Ruuvi Air. No authentication required. Final path is formed by joining the "url" field with the "fileName" field from the response,  i.e. ${url}/${fileName}.\
> Generally only ruuvi\_air\_fw\.signed.bin is needed, other files are restoring production firmware after a  factory reset or updating the bootloader / firmware installer. Check Ruuvi Air developer documentation for details.\
> Versions postfixed with +dev are development versions and signed with public development keys.<br>

```json
{"openapi":"3.0.3","info":{"title":"Ruuvi Cloud - User API","version":"1.0.0"},"tags":[{"name":"Air-Firmware","description":"Ruuvi Air firmware update information"}],"servers":[{"url":"https://network.ruuvi.com"},{"url":"https://testnet.ruuvi.com"}],"security":[],"paths":{"/air_firmwareupdate":{"get":{"summary":"Get Ruuvi Air firmware update information","description":"Returns latest, beta, alpha and historical firmware versions for Ruuvi Air. No authentication required. Final path is formed by joining the \"url\" field with the \"fileName\" field from the response,  i.e. ${url}/${fileName}.\nGenerally only ruuvi_air_fw.signed.bin is needed, other files are restoring production firmware after a  factory reset or updating the bootloader / firmware installer. Check Ruuvi Air developer documentation for details.\nVersions postfixed with +dev are development versions and signed with public development keys.\n","operationId":"getAirFirmwareUpdate","tags":["Air-Firmware"],"responses":{"200":{"description":"Firmware update information","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AirFirmwareResponse"}}}}}}}},"components":{"schemas":{"AirFirmwareResponse":{"type":"object","properties":{"result":{"type":"string"},"data":{"type":"object","additionalProperties":{"type":"object","properties":{"version":{"type":"string"},"url":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"versionCode":{"type":"integer"},"fileName":{"type":"string"},"fwloader":{"type":"string"},"mcuboot_s1":{"type":"string"},"mcuboot":{"type":"string"}},"required":["version","url","created_at","versionCode","fileName"]}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ruuvi.com/communicate-with-ruuvi-cloud/cloud/user-api/air-firmware.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
